=== debian/changelog ===
postgresql-pllua (1:0.3.2-4) unstable; urgency=low

  * Rebuild for PostgreSQL 9.1.

 -- Christoph Berg <myon@debian.org>  Wed, 24 Aug 2011 16:31:14 +0200

postgresql-pllua (1:0.3.2-3) unstable; urgency=low

  * Actually install style.css file.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Apr 2011 15:40:28 +0200

postgresql-pllua (1:0.3.2-2) unstable; urgency=low

  * Section: database.
  * Include style.css in package, thanks Alexander Reichle-Schmehl for
    spotting.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Apr 2011 10:26:20 +0200

postgresql-pllua (1:0.3.2-1) unstable; urgency=low

  * New maintainer.
  * New upstream version. (And 0.8.1 was actually 0.3.1!)
  * Convert to 3.0 (quilt), bump to dh 7.
  * Use pg_buildext to support 8.4 and 9.0. (Shipping our private copy for
    now, adding an "install" target.) Closes: #618163

 -- Christoph Berg <myon@debian.org>  Thu, 31 Mar 2011 13:27:39 +0200

postgresql-pllua (0.8.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/00list
    - really added 21_missing_includes.dpatch, so that's applied; thanks to
      Michael Bienia that identified that; Closes: #571008

 -- Sandro Tosi <morph@debian.org>  Tue, 29 Jun 2010 13:25:20 +0200

postgresql-pllua (0.8.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/21_missing_includes.dpatch
    - Add missing PostgreSQL includes; thanks to dann frazier for the report and
      to Michael Bienia for the patch; Closes: #571008

 -- Sandro Tosi <morph@debian.org>  Sat, 27 Mar 2010 17:18:54 +0100

postgresql-pllua (0.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - support PostrgeSQL 8.4, changing build-depends, depends and binary package
      name; Closes: #559595
  * debian/install
    - install into 8.4 directory
  * debian/patches/20_functions_undeclared.dpatch
    - include needed headers for 'textout' and 'ArrayType' undeclared objects,
      fixing a FTBFS; Closes: #536913

 -- Sandro Tosi <morph@debian.org>  Thu, 11 Feb 2010 14:59:20 +0100

postgresql-pllua (0.8.1-1) unstable; urgency=low

  * Initial release. (Closes: #489824)
  * Added README.Debian.

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Mon, 07 Jul 2008 15:58:08 -0300
