=== debian/changelog ===
postgresql-pllua (1:1.0-6) unstable; urgency=medium

  * Rebuild against PostgreSQL 9.5.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Jan 2016 19:18:08 +0100

postgresql-pllua (1:1.0-5) unstable; urgency=medium

  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Aug 2014 20:54:52 +0200

postgresql-pllua (1:1.0-4) unstable; urgency=medium

  * Rebuild against PostgreSQL 9.4.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Jul 2014 11:39:43 +0200

postgresql-pllua (1:1.0-3) unstable; urgency=medium

  * Run regression tests in the toplevel dir so the source doesn't need to be
    built.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Feb 2014 13:31:26 +0100

postgresql-pllua (1:1.0-2) unstable; urgency=medium

  * debian/tests/control: Depend on postgresql-server-dev-all.
  * debian/tests/installcheck: Use pg_buildext installcheck.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 06 Feb 2014 10:41:43 +0100

postgresql-pllua (1:1.0-1) unstable; urgency=low

  * New upstream release.
  * Use "all" in debian/pgversions. (Tests need CREATE EXTENSION, skip tests
    on 8.4 and 9.0.)
  * Refresh patches, add fixes for 9.3.
  * Convert rules to use "dh".
  * Add autopkgtest support.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Sep 2013 16:50:54 +0200
