=== debian/control ===
Source: postgresql-pllua
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7), liblua5.1-dev,
 postgresql-server-dev-all (>= 153~)
Standards-Version: 3.9.6
Homepage: http://pgfoundry.org/projects/pllua/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-pllua.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-pllua.git
XS-Testsuite: autopkgtest

Package: postgresql-9.5-pllua
Architecture: any
Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
Description: Lua procedural language for PostgreSQL 9.5
 PL/Lua is an implementation of Lua as a loadable procedural language for
 PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
 written in the Lua programming language.
 .
 It brings the power and simplicity of Lua to PostgreSQL, including:
 small memory footprint, simple syntax, lexical scoping, functions as
 first-class values, and coroutines for non-preemptive threading.
