=== debian/rules ===
#!/usr/bin/make -f

SRCDIR=$(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

override_dh_auto_build:
	+pg_buildext build $(CURDIR) build-%v

override_dh_auto_clean:
	+pg_buildext clean $(CURDIR) build-%v
	rm -rf build-*/ regression.* results/ debian/postgresql-*-pllua/ debian/*.substvars

override_dh_auto_install:
	+pg_buildext install $(CURDIR) build-%v postgresql-%v-pllua

override_dh_installdocs:
	dh_installdocs -a --all docs/index.html docs/style.css

override_dh_installexamples:
	dh_installexamples -a --all sql/plluatest.sql expected/plluatest.out

%:
	dh $@
