=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000314 /frs/download.php/[0-9]+/pllua-([0-9.]+).tar.gz debian uupdate
