=== debian/changelog ===
postgresql-pllua (1:1.1.0-2) unstable; urgency=medium

  * Pull patch to support PostgreSQL 10.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Oct 2017 11:10:04 +0200

postgresql-pllua (1:1.1.0-1) unstable; urgency=medium

  * Finally a new upstream release!
  * Pull patch to fix int8 on 32 bit.
  * Add regression patches to cover 9.2 and 9.6.
  * Update watch file for move to github.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Aug 2017 17:44:43 +0200

postgresql-pllua (1:1.0-9) unstable; urgency=medium

  * Rebuild against PostgreSQL 9.6.

 -- Christoph Berg <myon@debian.org>  Sun, 25 Sep 2016 22:37:38 +0200
