=== debian/control ===
Source: postgresql-pllua
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), liblua5.1-dev,
 postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.1
Homepage: https://github.com/pllua/pllua
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/postgresql-pllua.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-pllua.git/

Package: postgresql-10-pllua
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: Lua procedural language for PostgreSQL 10
 PL/Lua is an implementation of Lua as a loadable procedural language for
 PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
 written in the Lua programming language.
 .
 It brings the power and simplicity of Lua to PostgreSQL, including:
 small memory footprint, simple syntax, lexical scoping, functions as
 first-class values, and coroutines for non-preemptive threading.
