=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	+pg_buildext install $(CURDIR) build-%v postgresql-%v-pllua
 
 override_dh_installdocs:
-	dh_installdocs -a --all docs/index.html docs/style.css
+	dh_installdocs -a --all README.md
 
 override_dh_installexamples:
 	dh_installexamples -a --all sql/plluatest.sql expected/plluatest.out
