=== debian/watch ===
version=3
https://github.com/pllua/pllua/releases .*/archive/v(.*).tar.gz
