=== debian/changelog ===
postgresql-pllua (1:2.0~beta2-1) unstable; urgency=medium

  * New upstream version, allows setting binary format to fix linking
    src/compat.o on mips64el.
  * Include new pllua_hstore extension.

 -- Christoph Berg <myon@debian.org>  Sat, 07 Jul 2018 10:38:54 +0200

postgresql-pllua (1:2.0~beta1-1) unstable; urgency=medium

  * Switch package to pllua-ng, https://github.com/pllua/pllua-ng.
    See README.md for changes and incompatibilities.
  * Bump Lua build-dependency to liblua5.3-dev.
  * Package is compatible with PostgreSQL 9.5+.
  * Build-depend on postgresql-all, we need errcodes.txt from postgresql-11
    and later.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 05 Jul 2018 14:33:21 +0200
