=== debian/control ===
--- 
+++ 
@@ -3,12 +3,16 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), liblua5.1-dev,
- postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.1.1
+Build-Depends:
+ debhelper (>= 9),
+ liblua5.3-dev,
+ lua5.3,
+ postgresql-all,
+ postgresql-server-dev-all (>= 153~),
+Standards-Version: 4.1.5
 Homepage: https://github.com/pllua/pllua
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/postgresql-pllua.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-pllua.git/
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pllua.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pllua
 
 Package: postgresql-10-pllua
 Architecture: any
@@ -21,4 +25,6 @@
  It brings the power and simplicity of Lua to PostgreSQL, including:
  small memory footprint, simple syntax, lexical scoping, functions as
  first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
