=== debian/changelog ===
postgresql-pllua (1:2.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 07 Jan 2019 16:30:30 +0100

postgresql-pllua (1:2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 19 Oct 2018 13:43:32 +0200

postgresql-pllua (1:2.0~rc1-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:23:11 +0200

postgresql-pllua (1:2.0~rc1-1) unstable; urgency=medium

  * New upstream version, supporting PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 08 Aug 2018 13:12:35 +0200
