=== debian/rules ===
#!/usr/bin/make -f

export LUA_INCDIR = /usr/include/lua5.3
export LUALIB = -llua5.3
export LUAC = luac5.3
export LUA = lua5.3

# work around 'ld -b binary' producing mips1 code
# https://buildd.debian.org/status/fetch.php?pkg=postgresql-pllua&arch=mips64el&ver=1%3A2.0~beta1-1&stamp=1530805328&raw=0
ifeq ($(shell dpkg --print-architecture), mips64el)
export BIN_ARCH = mips:isa64r2
export BIN_FMT = elf64-tradlittlemips
endif

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) -C hstore clean

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-pllua
	+pg_buildext loop hstore postgresql-%v-pllua

override_dh_installdocs:
	dh_installdocs --all README.md

%:
	dh $@
