=== debian/watch ===
version=4
options="uversionmangle=s/_BETA/~beta/;s/_RC/~rc/;s/_/./g" \
https://github.com/pllua/pllua-ng/releases .*/REL_(.*).tar.gz
