## postgresql-pllua 2.0.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile for PL/Lua
+# Makefile for PL/Lua		# -*- mode: makefile-gmake -*-
 
 PG_CONFIG ?= pg_config
 
@@ -63,7 +63,10 @@
 DOC_HTML = pllua.html
 
 ifdef BUILD_DOCS
-DOCS =  $(DOC_HTML)
+DOCS = $(DOC_HTML)
+ifdef BUILD_ICON
+ICON = icon.meta
+endif
 endif
 
 objdir := src
@@ -85,17 +88,17 @@
 
 REORDER_O = $(srcdir)/tools/reorder-o.sh
 
-DOC_MD = css.css intro.md pllua.md building.md endnote.md
-
-DOC_SRCS = $(addprefix $(srcdir)/doc/, $(DOC_MD))
+DOC_MD = css.css script.js intro.md pllua.md building.md endnote.md
+
+DOC_SRCS = logo.css $(ICON) $(addprefix $(srcdir)/doc/, $(DOC_MD))
 
 INCS=   pllua.h pllua_pgver.h pllua_luaver.h pllua_luajit.h
 
 HEADERS= $(addprefix src/, $(INCS))
 
 OBJS_C= compile.o datum.o elog.o error.o exec.o globals.o init.o \
-	jsonb.o numeric.o objects.o pllua.o preload.o spi.o trigger.o \
-	trusted.o
+	jsonb.o numeric.o objects.o paths.o pllua.o preload.o spi.o \
+	time.o trigger.o trusted.o
 
 SRCS_C = $(addprefix $(srcdir)/src/, $(OBJS_C:.o=.c))
 
@@ -107,7 +110,9 @@
 
 EXTRA_OBJS = $(addprefix src/, $(OBJS_LUA))
 
-EXTRA_CLEAN = pllua_functable.h plerrcodes.h $(addprefix src/,$(OBJS_LUA:.o=.luac)) $(EXTRA_OBJS) $(DOC_HTML)
+EXTRA_CLEAN = pllua_functable.h plerrcodes.h \
+	$(addprefix src/,$(OBJS_LUA:.o=.luac)) $(EXTRA_OBJS) \
+	logo.css tmpdoc.html icon-16.png icon.meta $(DOC_HTML)
 
 PG_CPPFLAGS = -I$(LUA_INCDIR) $(PLLUA_CONFIG_OPTS)
 
@@ -195,5 +200,23 @@
 installcheck-parallel: submake $(REGRESS_PREP)
 	$(pg_regress_installcheck) $(REGRESS_OPTS) $(REGRESS_PARALLEL)
 
+logo.css: $(srcdir)/doc/logo.svg $(srcdir)/tools/logo.lua
+	$(LUA) $(srcdir)/tools/logo.lua -text -logo $(srcdir)/doc/logo.svg >$@
+
+# Stripped PNGs are quite a bit smaller than .ico
+#icon.ico: $(srcdir)/doc/logo.svg
+#	convert -size 256x256 -background transparent $(srcdir)/doc/logo.svg \
+#		-format ico -define icon:auto-resize=32,16 icon.ico
+
+icon-16.png: $(srcdir)/doc/logo.svg
+	convert -size 16x16 -background transparent $(srcdir)/doc/logo.svg \
+		-format png -define png:format=png32 \
+		-define png:exclude-chunk=all icon-16.png
+
+icon.meta: icon-16.png
+	$(LUA) $(srcdir)/tools/logo.lua -binary -icon="16x16" icon-16.png >$@
+
 $(DOC_HTML): $(DOC_SRCS) $(srcdir)/doc/template.xsl $(srcdir)/tools/doc.sh
-	$(srcdir)/tools/doc.sh $(srcdir)/doc/template.xsl $(DOC_SRCS) >$@
+	$(srcdir)/tools/doc.sh $(DOC_SRCS) >tmpdoc.html
+	xsltproc --encoding utf-8 $(srcdir)/doc/template.xsl tmpdoc.html >$@
+	rm -- tmpdoc.html
