=== debian/changelog ===
postgresql-pllua (1:2.0.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 14:06:21 +0100

postgresql-pllua (1:2.0.4-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 20 May 2019 11:19:33 +0200

postgresql-pllua (1:2.0.2-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Apr 2019 10:41:26 +0200
