=== debian/control ===
Source: postgresql-pllua
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper (>= 9),
 liblua5.3-dev,
 lua5.3,
 postgresql-all,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.1.5
Homepage: https://github.com/pllua/pllua
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pllua.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pllua

Package: postgresql-12-pllua
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: Lua procedural language for PostgreSQL 12
 PL/Lua is an implementation of Lua as a loadable procedural language for
 PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
 written in the Lua programming language.
 .
 It brings the power and simplicity of Lua to PostgreSQL, including:
 small memory footprint, simple syntax, lexical scoping, functions as
 first-class values, and coroutines for non-preemptive threading.
 .
 This package is based on pllua-ng.
