=== debian/changelog ===
postgresql-pllua (1:2.0.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 06 May 2020 11:49:37 +0200
