## postgresql-pllua 2.0.7

=== debian/changelog ===
postgresql-pllua (1:2.0.7-1) unstable; urgency=medium

  * New upstream version.
  * Set LUA=lua5.3 in tests.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Jan 2021 12:28:04 +0100

postgresql-pllua (1:2.0.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Oct 2020 10:24:36 +0200

postgresql-pllua (1:2.0.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 15:50:54 +0200
