=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  liblua5.3-dev,
  lua5.3,
- postgresql-all,
- postgresql-server-dev-all (>= 153~),
-Standards-Version: 4.1.5
+ postgresql-all (>= 217~),
+ postgresql-all (>= 217~),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/pllua/pllua
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pllua.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pllua
 
-Package: postgresql-12-pllua
+Package: postgresql-13-pllua
 Architecture: any
-Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
-Description: Lua procedural language for PostgreSQL 12
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 13
  PL/Lua is an implementation of Lua as a loadable procedural language for
  PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
  written in the Lua programming language.
