## postgresql-pllua 2.0.9

=== debian/changelog ===
postgresql-pllua (1:2.0.9-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 24 Apr 2021 19:08:29 +0200

postgresql-pllua (1:2.0.9-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Apr 2021 19:08:29 +0200
