=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  liblua5.3-dev,
  lua5.3,
  postgresql-all (>= 217~),
@@ -14,6 +14,76 @@
 Homepage: https://github.com/pllua/pllua
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pllua.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pllua
+
+Package: postgresql-9.5-pllua
+Architecture: any
+Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 9.5
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
+
+Package: postgresql-9.6-pllua
+Architecture: any
+Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 9.6
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
+
+Package: postgresql-10-pllua
+Architecture: any
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 10
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
+
+Package: postgresql-11-pllua
+Architecture: any
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 11
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
+
+Package: postgresql-12-pllua
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 12
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
 
 Package: postgresql-13-pllua
 Architecture: any
