## postgresql-pllua 2.0.10

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,11 @@
 LUAC = $(REORDER_O) $(LUAJITC)
 endif
 
+LUAVER = $(shell $(LUA) -e 'print(_VERSION:match("^Lua ([0-9.]+)"))')
+ifeq ($(filter 5.1 5.3 5.4, $(LUAVER)),)
+$(error failed to get valid lua version)
+endif
+
 # if no OBJCOPY or not needed, this can be set to true (or false)
 OBJCOPY ?= objcopy
 
@@ -81,8 +86,11 @@
 REGRESS_11 := $(REGRESS_10) procedures
 REGRESS_12 := $(REGRESS_11)
 REGRESS_13 := $(REGRESS_12)
-
-EXTRA_REGRESS = $(REGRESS_$(MAJORVERSION))
+REGRESS_14 := $(REGRESS_13)
+
+REGRESS_LUA_5.4 := lua54
+
+EXTRA_REGRESS = $(REGRESS_$(MAJORVERSION)) $(REGRESS_LUA_$(LUAVER))
 
 REGRESS = --schedule=$(srcdir)/serial_schedule $(EXTRA_REGRESS)
 REGRESS_PARALLEL = --schedule=$(srcdir)/parallel_schedule $(EXTRA_REGRESS)
