=== debian/changelog ===
postgresql-pllua (1:2.0.10-3.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 02 Nov 2021 11:30:31 +0100

postgresql-pllua (1:2.0.10-3) unstable; urgency=medium

  * watch: Look for tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Nov 2021 11:30:31 +0100

postgresql-pllua (1:2.0.10-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 10:06:54 +0200

postgresql-pllua (1:2.0.10-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Jun 2021 13:32:32 +0200
