=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  liblua5.3-dev,
  lua5.3,
  postgresql-all (>= 217~),
@@ -14,20 +14,6 @@
 Homepage: https://github.com/pllua/pllua
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pllua.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pllua
-
-Package: postgresql-9.5-pllua
-Architecture: any
-Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
-Description: Lua procedural language for PostgreSQL 9.5
- PL/Lua is an implementation of Lua as a loadable procedural language for
- PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
- written in the Lua programming language.
- .
- It brings the power and simplicity of Lua to PostgreSQL, including:
- small memory footprint, simple syntax, lexical scoping, functions as
- first-class values, and coroutines for non-preemptive threading.
- .
- This package is based on pllua-ng.
 
 Package: postgresql-9.6-pllua
 Architecture: any
@@ -98,3 +84,17 @@
  first-class values, and coroutines for non-preemptive threading.
  .
  This package is based on pllua-ng.
+
+Package: postgresql-14-pllua
+Architecture: any
+Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Description: Lua procedural language for PostgreSQL 14
+ PL/Lua is an implementation of Lua as a loadable procedural language for
+ PostgreSQL: with PL/Lua you can use PostgreSQL functions and triggers
+ written in the Lua programming language.
+ .
+ It brings the power and simplicity of Lua to PostgreSQL, including:
+ small memory footprint, simple syntax, lexical scoping, functions as
+ first-class values, and coroutines for non-preemptive threading.
+ .
+ This package is based on pllua-ng.
