=== debian/tests/control ===
Depends: @, lua5.3, make
Test-Command: LUA=lua5.3 pg_buildext installcheck
Restrictions: allow-stderr
Features: test-name=installcheck-pllua

Depends: @, make, postgresql-all
Test-Command: pg_buildext installcheck hstore
Restrictions: allow-stderr
Features: test-name=installcheck-pllua-hstore
