## postgresql-pllua 2.0.11

=== debian/changelog ===
postgresql-pllua (1:2.0.11-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Apr 2023 08:33:16 +0200

postgresql-pllua (1:2.0.10-5) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Nov 2022 19:06:30 +0100

postgresql-pllua (1:2.0.10-4) unstable; urgency=medium

  * Depend on postgresql-contrib-NN for hstore_pllua.

 -- Christoph Berg <myon@debian.org>  Wed, 26 Jan 2022 14:06:53 +0100
